import random
import string

def make_password(length=8, use_special_chars=False):
    """Generate a random password"""
    chars = string.ascii_letters + string.digits
    if use_special_chars:
        chars += "!@#$%^&*()_-+=<>?/|"

    return ''.join(random.choices(chars, k=length))
